/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.view.action;

import org.eclipse.jface.action.IAction;
import org.postgresforest.tool.action.HashAction;
import org.postgresforest.tool.db.GSCdata;
import org.postgresforest.tool.util.ErrorLog;
import org.postgresforest.tool.util.SessionProperty;
import org.postgresforest.tool.view.hash.HashView;

/**
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class DelHashAction extends ActionBase {
    public static final String ID = "org.postgresforest.tool.view.action.DelHashAction";

	/* (非 Javadoc)
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	public void run(IAction action) {
		HashView view = (HashView)m_view;
		String id = view.getSelectId();
		//削除
		if(id != ""){
			//セッション･プロパティからグローバルシステムカタログを取得
			GSCdata gsc = (GSCdata)SessionProperty.get("gsc");
			HashAction hashAction = new HashAction(gsc);
			try {
				hashAction.delHash(id);
			} catch (Exception e1) {
				e1.printStackTrace();
				ErrorLog.log("", e1);
			}
		}
		
		m_view.update();

	}


}
